body {
    margin: 0;
    font-family: Arial, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-color: #f4f4f4;
}

.container {
    width: 100%;
    max-width: 800px;
    height: 100%;
    max-height: 480px;
    padding: 20px;
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-image: url("../img/img_full_right.png");
    background-size: auto;
    background-repeat: no-repeat;
    background-position: center;
    border: 2px solid #333;
}

h1 {
    text-align: center;
    font-size: 1.5em;
    margin: 0 0 20px;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* Cuatro columnas */
    gap: 15px;
    flex: 1;
}

.product {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 10px;
    border: 1px solid #ccc;
    text-align: center;
    font-weight: bold;
    transition: transform 0.3s ease;
}

.product img {
    max-width: 100%;
    max-height: 100px;
    object-fit: cover;
    margin-bottom: 10px;
}

.product:hover {
    transform: scale(1.05);
}

.product-name {
    font-size: 1em;
    margin-bottom: 5px;
}

.product-price {
    font-size: 0.9em;
    color: #333;
}

.back-button {
    padding: 10px;
    background-color: #333;
    color: white;
    border: none;
    font-size: 1.2em;
    cursor: pointer;
    width: 100%;
    text-align: center;
    transition: background-color 0.3s;
}

.back-button:hover {
    background-color: #555;
    z-index: 10000;
}